Bug report #18197

MetadataURL isn't required but his type is required

Added by Stéphane Brunner over 2 years ago. Updated over 2 years ago.

Status:Closed
Priority:Normal
Assignee:Paul Blottiere
Category:QGIS Server
Affected QGIS version:3.0.0 Regression?:Yes
Operating System:Linux Easy fix?:Yes
Pull Request or Patch supplied:No Resolution:
Crashes QGIS or corrupts data:No Copied to github as #:26088

Description

In the code it's written:
empty but needed for OGC tests RECOMMENDATIONS)
https://github.com/qgis/QGIS/blob/068d51c3bef6e4f8e219a7fcb6b3d8f607d02e09/src/server/services/wms/qgswmsgetcapabilities.cpp#L789

But in the WMS 1.3.0 Specification
In the Table 7 and in the start of the page 66 (schema) it's marked ad optional
Start of page 68 (schema) the type is market as as required

Then I can't parse it with OWSLib neither in version 1.1.1 neither in version 1.3.0...

Associated revisions

Revision 0edb0d98
Added by Paul Blottiere over 2 years ago

Cleaning GetCapabilities response

Fixes #18197

History

#2 Updated by Paul Blottiere over 2 years ago

  • % Done changed from 0 to 100
  • Status changed from Open to Closed

Also available in: Atom PDF